Name: x11-driver-input-keyboard
Version: 1.6.2
Release: %mkrel 4
Summary: Xorg input driver for keyboards
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-input-keyboard-%{version}.tar.bz2
License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: x11-proto-devel >= 1.4
BuildRequires: x11-server-devel >= 1.4-6mdv
BuildRequires: x11-util-macros >= 1.0.1
Conflicts: x11-server < 1.4

Requires: x11-server-common %(xserver-sdk-abi-requires xinput)

%description
This package provide Xorg input driver for keyboards.  The "keyboard" driver is
the standard OS-provided keyboard interface.  It is is built-in to the core X
server, and multiple instances are not supported. A loadable driver, kbd, is
available, and is planned to replace the keyboard driver in a future release of
the Xorg server.

%prep
%setup -q -n xf86-input-keyboard-%{version}

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/input/kbd_drv.la
%{_libdir}/xorg/modules/input/kbd_drv.so
%{_mandir}/man4/kbd.*




%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.6.2-4.mga3
+ Revision: 385951
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 tv <tv> 1.6.2-3.mga3.nonfree
+ Revision: 288984
- rebuild for new xserver

* Thu Sep 06 2012 tv <tv> 1.6.2-2.mga3
+ Revision: 288925
- rebuild for new xserver

* Tue Jul 24 2012 tv <tv> 1.6.2-1.mga3
+ Revision: 274097
- new release

* Wed Jun 06 2012 tmb <tmb> 1.6.1-4.mga3
+ Revision: 256322
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 1.6.1-3.mga3
+ Revision: 252978
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 1.6.1-2.mga3
+ Revision: 249818
- rebuild for new X.org server

* Fri Jan 06 2012 tv <tv> 1.6.1-1.mga2
+ Revision: 192695
- new release

* Tue Dec 06 2011 tmb <tmb> 1.6.0-5.mga2
+ Revision: 177502
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1.6.0-4.mga2
+ Revision: 153311
- really rebuild for xserver-1.11

* Sat Oct 08 2011 tv <tv> 1.6.0-3.mga2
+ Revision: 153295
- really rebuild for xserver-1.11

* Sat Oct 08 2011 tv <tv> 1.6.0-2.mga2
+ Revision: 153081
- rebuild for xserver-1.11

* Thu Mar 10 2011 tv <tv> 1.6.0-1.mga1
+ Revision: 67378
- new release

* Fri Mar 04 2011 tv <tv> 1.5.99.901-2.mga1
+ Revision: 64377
- rebuild for new xserver-1.10

* Fri Mar 04 2011 tv <tv> 1.5.99.901-1.mga1
+ Revision: 64003
- new release

* Thu Feb 10 2011 ennael <ennael> 1.5.0-2.mga1
+ Revision: 49604
- imported package x11-driver-input-keyboard

